{
"results": [
{
"wabaId": "102012345678901",
"ctwaClid": "REPLACE_WITH_REAL_CTWA_CLID",
"eventName": "Lead",
"eventTime": 1794798000,
"status": "succeeded",
"index": 0
},
{
"wabaId": "102012345678901",
"ctwaClid": "REPLACE_WITH_REAL_CTWA_CLID",
"eventName": "Purchase",
"eventTime": 1794798000,
"status": "failed",
"error": {
"code": "CONVERSION_ALREADY_REPORTED",
"message": "This click and event type already has an API success within 28 days.",
"retryable": false
},
"index": 1
}
]
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}CTWA
Submit conversion events
Submits 1 to 100 Lead or Purchase conversion events for the same WhatsApp Business Account.
POST
https://api.ycloud.com/v2
/
ctwa
/
conversionEvents
/
batch
{
"results": [
{
"wabaId": "102012345678901",
"ctwaClid": "REPLACE_WITH_REAL_CTWA_CLID",
"eventName": "Lead",
"eventTime": 1794798000,
"status": "succeeded",
"index": 0
},
{
"wabaId": "102012345678901",
"ctwaClid": "REPLACE_WITH_REAL_CTWA_CLID",
"eventName": "Purchase",
"eventTime": 1794798000,
"status": "failed",
"error": {
"code": "CONVERSION_ALREADY_REPORTED",
"message": "This click and event type already has an API success within 28 days.",
"retryable": false
},
"index": 1
}
]
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Body
application/json
Response
Processing completed. Inspect each result status; event failures also use HTTP 200.

